package com.qmth.teachcloud.mark.bean.omredit;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.mark.bean.ArrayResult;
import com.qmth.teachcloud.mark.bean.BoolResult;

public class OmrEditPage {

    @NotNull(message = "pageIndex不能为空")
    @Min(value = 1, message = "pageIndex不能小于1")
    @Max(value = 2, message = "pageIndex不能大于2")
    private Integer index;

    private BoolResult absent;

    private BoolResult breach;


    private ArrayResult question;


    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public BoolResult getAbsent() {
        return absent;
    }

    public void setAbsent(BoolResult absent) {
        this.absent = absent;
    }

    public BoolResult getBreach() {
        return breach;
    }

    public void setBreach(BoolResult breach) {
        this.breach = breach;
    }


    public ArrayResult getQuestion() {
        return question;
    }

    public void setQuestion(ArrayResult question) {
        this.question = question;
    }

}
